Last modified: 2013-04-22 16:14:44 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 40857 - CologneBlue Invalid argument supplied for foreach()
CologneBlue Invalid argument supplied for foreach()
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All All
: Unprioritized minor (vote)
: ---
Assigned To: Bartosz Dziewoński
:
Depends on:
Blocks: 46949
  Show dependency treegraph
 
Reported: 2012-10-08 13:36 UTC by Sam Reed (reedy)
Modified: 2013-04-22 16:14 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2012-10-08 13:36:09 UTC
[08-Oct-2012 12:38:26] PHP Warning:  Invalid argument supplied for foreach() in /www/translatewiki.net/w/skins/CologneBlue.php on line 631
Comment 1 Niklas Laxström 2012-10-08 14:07:02 UTC
These seem to be related:
[08-Oct-2012 12:38:26] PHP Notice:  Undefined index: logout in /www/translatewiki.net/w/skins/CologneBlue.php on line 510
[08-Oct-2012 12:38:26] PHP Notice:  Undefined index: anonlogin in /www/translatewiki.net/w/skins/CologneBlue.php on line 510
[08-Oct-2012 12:38:26] PHP Notice:  Undefined index: info in /www/translatewiki.net/w/skins/CologneBlue.php on line 470
[08-Oct-2012 12:38:26] PHP Notice:  Undefined index: watch in /www/translatewiki.net/w/skins/CologneBlue.php on line 574
[08-Oct-2012 12:38:26] PHP Notice:  Undefined index: unwatch in /www/translatewiki.net/w/skins/CologneBlue.php on line 575
[08-Oct-2012 12:38:26] PHP Notice:  Undefined index: edit in /www/translatewiki.net/w/skins/CologneBlue.php on line 582
[08-Oct-2012 12:38:26] PHP Notice:  Undefined index: addsection in /www/translatewiki.net/w/skins/CologneBlue.php on line 583
Comment 2 Bartosz Dziewoński 2012-10-08 16:10:04 UTC
Not really related, unless you understand "related" as "coming from the same file".

Both of these idiotic issues fixed using some comparably idiotic code in Ib51c640b.
Comment 3 Bartosz Dziewoński 2012-10-08 16:16:16 UTC
I've filed bug 40861, as this is the underlying issue.
Comment 4 Niklas Laxström 2012-10-08 18:18:12 UTC
Well it is related in a way that it is from the same request.
Comment 5 Bartosz Dziewoński 2012-10-20 18:33:58 UTC
There are now two separate patchsets:
* Ie5754f85 to fix notices mentioned by Niklas
* Ib51c640b to fix the warning mentioned by Reedy
Comment 6 Bartosz Dziewoński 2012-10-21 15:52:22 UTC
Both fixes merged.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links